import { IconButtonProps } from "../buttons/IconButton";
import React, { AriaAttributes } from "react";
import { LinkWithAction } from "../types";
export interface CircleButtonProps extends AriaAttributes {
    loading?: boolean;
    icon: IconButtonProps["icon"];
    selected?: boolean;
    selectLightPosition?: "left" | "top";
    className?: string;
    link?: LinkWithAction;
    /**
     * The color to use to highlight the button when selected or hovered.
     */
    accentColor?: string;
    /**
     * The border color to show around the icon when it's neither selected
     * nor interacted with.
     */
    defaultBorderColor?: string;
    /**
     * Applies a blurred filter to the icon.
     */
    blurred?: boolean;
    withDropdown?: IconButtonProps["withDropdown"];
    withNotification?: IconButtonProps["withNotifications"];
}
declare const CircleButton: React.FC<CircleButtonProps>;
export default CircleButton;
