import "@bobaboard/boba-editor/dist/main.css";
import "normalize.css";
import { IconButtonProps } from "../buttons/IconButton";
import { MenuBarProps } from "./MenuBar";
import { LinkWithAction } from "../types";
import React from "react";
declare type SideMenuStatus = "open" | "opening" | "closed" | "closing";
export interface LayoutHandler {
    closeSideMenu: () => void;
}
export interface LayoutCompoundComponent extends React.ForwardRefExoticComponent<LayoutProps & React.RefAttributes<LayoutHandler>> {
    MainContent: React.FC<unknown>;
    PinnedMenuContent: React.FC<unknown>;
    SideMenuContent: React.FC<unknown>;
    ActionButton: React.FC<unknown>;
    BottomBar: React.FC<unknown>;
}
declare const Layout: LayoutCompoundComponent;
export interface LayoutProps {
    notificationIcon?: IconButtonProps["withNotifications"];
    accentColor?: string;
    logoLink?: LinkWithAction;
    title?: string;
    titleLink?: LinkWithAction;
    user?: MenuBarProps["user"];
    onUserBarClick: LinkWithAction;
    onCompassClick?: LinkWithAction;
    loading?: boolean;
    menuOptions?: MenuBarProps["menuOptions"];
    selectedMenuOption?: string | null;
    onSideMenuStatusChange?: (status: SideMenuStatus) => void;
    forceHideIdentity?: boolean;
    hideTitleFromDesktopHeader?: boolean;
    children: React.ReactNode[];
}
export default Layout;
