import { SecretIdentityType, TagsListType, TagsType, UserIdentityType } from "../types";
import { BoardSelectorProps } from "../tags/BoardSelector";
import { PostHeaderProps } from "./Header";
import { ViewOption } from "./ViewSelector";
import React from "react";
export interface PostEditorHandler {
    focus: () => void;
}
declare const PostEditor: React.ForwardRefExoticComponent<PostEditorProps & React.RefAttributes<PostEditorHandler>>;
export default PostEditor;
export interface PostEditorProps {
    initialText?: string;
    initialTags?: TagsListType;
    secretIdentity?: SecretIdentityType;
    userIdentity: UserIdentityType;
    additionalIdentities?: PostHeaderProps["additionalIdentities"];
    accessories?: PostHeaderProps["accessories"];
    loading?: boolean;
    onSubmit: (postPromise: Promise<{
        text: string;
        tags: TagsType[];
        viewOptionName?: string;
        identityId?: string;
        accessoryId?: string;
    }>) => void;
    onCancel: (empty: boolean) => void;
    viewOptions?: ViewOption[];
    accentColor?: string;
    suggestedCategories?: string[];
    editableSections?: {
        tags?: boolean;
    };
    availableBoards?: BoardSelectorProps["availableBoards"];
    selectedBoard?: BoardSelectorProps["selectedBoard"];
    onSelectBoard?: BoardSelectorProps["onBoardSelected"];
}
