import { BoardType } from "../types";
import type { IconProp } from "@fortawesome/fontawesome-svg-core";
import React from "react";
declare const BoardsMenuSection: React.FC<BoardsMenuSectionProps>;
export default BoardsMenuSection;
export declare type BoardsMenuSectionProps = BoardsSectionProps | EmptySectionProps | LoadingSectionProps;
export interface BaseSectionProps {
    title: string;
    icon: string | IconProp;
}
export interface BoardsSectionProps extends BaseSectionProps {
    boards: BoardType[];
    currentBoardSlug?: string | null;
}
export interface EmptySectionProps extends BaseSectionProps {
    emptyTitle: string;
    emptyDescription: string;
}
export interface LoadingSectionProps extends BaseSectionProps {
    loading: boolean;
    placeholdersCount: number;
    accentColor: string;
}
